const jsnativeENV = require("./jsnative");
const webENV = require("./web");
const pureENV = require("./pure");
module.exports = {
    init(){
        jsnativeENV.init();
        webENV.init();
    },
    start:jsnativeENV.start,
    navigateTo:navigator.userAgent.toLowerCase().indexOf("lightos")!==-1?webENV.navigateTo:pureENV.navigateTo,
    navigateBack:navigator.userAgent.toLowerCase().indexOf("lightos")!==-1?webENV.navigateBack:pureENV.navigateBack,
    getCurrentFile(){
        return  weex.config.bundleUrl.split(/([#])/)[0];
    },
    ajax:pureENV.ajax
};